package com.ruoyi.xq.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.xq.domain.SysPush;
import com.ruoyi.xq.dto.admin.syspush.SysPushParams;
import com.ruoyi.xq.dto.common.syspush.SendSysPushResp;

import java.util.List;

/**
 * 推送系统消息Service接口
 *
 * @author 77
 * @date 2024-03-20
 */
public interface SysPushService extends IService<SysPush> {

    void handStart(Long id);

    void fastStart(Long id);

    void doRun(Long id);

    SendSysPushResp sendSysPush(SysPush sysPush, List<Long> userIds);

    void closeSysPush(Long id);

    void saveSysPush(SysPushParams params);
}
